int config_init(int argc, char* argv[]);

typedef unsigned int color;

enum var_t {Node, Name, Action, Idle};

struct event_t
{
  char active;
  enum var_t var;
  char once;
  char* str;
};

struct config_t
{
  int update_delay;

  color color_new;
  color color_change;
  color color_highlight;
  color color_monitored;

  int events;
  struct event_t* event;
};

extern struct config_t config;
 

